Bug 199181 - editors/mousepad : Error when open mousepad as root
Summary: editors/mousepad : Error when open mousepad as root
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-05 18:44 UTC by Vladimir Omelchuk
Modified: 2015-07-11 06:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
Fixed error. (413 bytes, patch)
2015-04-05 18:44 UTC, Vladimir Omelchuk
no flags Details | Diff
patch_ok (300 bytes, patch)
2015-04-07 20:23 UTC, Vladimir Omelchuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2015-04-05 18:44:20 UTC
Created attachment 155208 [details]
Fixed error.

Steps to reproduce:
(1)-Open mousepad as user:


(mousepad:29596): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:29596): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:29596): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:29596): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:29596): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed


(2)-Open mousepad as root:


(mousepad:29628): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:29628): dconf-WARNING **: failed to commit changes to dconf: Conexiunea este închisă

(mousepad:29628): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:29628): GtkSourceView-CRITICAL **: gtk_source_style_scheme_manager_get_scheme: assertion 'scheme_id != NULL' failed

(mousepad:29628): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:29628): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:29628): dconf-WARNING **: failed to commit changes to dconf: Conexiunea este închisă

(mousepad:29628): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:29628): GtkSourceView-CRITICAL **: gtk_source_style_scheme_manager_get_scheme: assertion 'scheme_id != NULL' failed

...


This warnings when "Colour scheme" is set to "None".
Patch in attachment.
Comment 1 Olivier Duchateau freebsd_committer 2015-04-07 19:56:27 UTC
(In reply to admin from comment #0)

Patch doesn't work (only tested with GTK3).

I have also change value in mousepad_view_class_init () function, same behaviour.

If I change the value with gsettings, warnings disappear
gsettings set org.xfce.mousepad.preferences.view color-scheme 'classic'

Upstream knows https://bugzilla.xfce.org/show_bug.cgi?id=11663
Comment 2 Vladimir Omelchuk 2015-04-07 20:21:58 UTC
(In reply to Olivier Duchateau from comment #1)

Patch work OK (tested with GTK2).

# make showconfig
===> The following configuration options are available for mousepad-0.4.0_1:
     GTK3=off: GTK+ 3 GUI toolkit support
===> Use 'make config' to modify these settings

I change the value with gsettings (gsettings set org.xfce.mousepad.preferences.view color-scheme 'classic') - warnings still present.

(mousepad:12105): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:12105): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:12105): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:12105): GtkSourceView-CRITICAL **: gtk_source_style_scheme_manager_get_scheme: assertion 'scheme_id != NULL' failed

(mousepad:12105): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

(mousepad:12105): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(mousepad:12105): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:12105): GtkSourceView-CRITICAL **: gtk_source_style_scheme_get_id: assertion 'GTK_IS_SOURCE_STYLE_SCHEME (scheme)' failed

...
Comment 3 Vladimir Omelchuk 2015-04-07 20:23:15 UTC
Created attachment 155315 [details]
patch_ok
Comment 4 Vladimir Omelchuk 2015-04-07 21:28:16 UTC
Tested with GTK3 - patch work OK.

# make showconfig
===> The following configuration options are available for mousepad-0.4.0_1:
     GTK3=on: GTK+ 3 GUI toolkit support
===> Use 'make config' to modify these settings

P.S.
Warning dcong still present, but this problem, when not right to access config dconf.

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

(mousepad:21684): dconf-WARNING **: failed to commit changes to dconf: Соединение закрыто

...
Comment 5 commit-hook freebsd_committer 2015-07-11 06:02:25 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jul 11 06:02:22 UTC 2015
New revision: 391727
URL: https://svnweb.freebsd.org/changeset/ports/391727

Log:
  - Add patches in order to fix warnings, when color scheme is not defined
  - Bump PORTREVISION

  PR:		199181
  Reported by:	<admin@vladiom.com.ua>
  Obtained from:	Xfce upstream repository

Changes:
  head/editors/mousepad/Makefile
  head/editors/mousepad/files/patch-mousepad_mousepad-action-group.c
  head/editors/mousepad/files/patch-mousepad_mousepad-settings.c
  head/editors/mousepad/files/patch-mousepad_mousepad-view.c
  head/editors/mousepad/files/patch-mousepad_mousepad-window.c
Comment 6 Olivier Duchateau freebsd_committer 2015-07-11 06:04:44 UTC
Add upstream patches, which fix this boring behaviour.